Run Split
curl --request POST \
--url https://api.runpulse.com/split \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"parse_id": "<string>",
"config": {
"topics": [
{
"name": "<string>",
"description": "<string>"
}
],
"effort": "low"
},
"async": false
}
'import requests
url = "https://api.runpulse.com/split"
payload = {
"parse_id": "<string>",
"config": {
"topics": [
{
"name": "<string>",
"description": "<string>"
}
],
"effort": "low"
},
"async": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parse_id: '<string>',
config: {topics: [{name: '<string>', description: '<string>'}], effort: 'low'},
async: false
})
};
fetch('https://api.runpulse.com/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runpulse.com/split",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parse_id' => '<string>',
'config' => [
'topics' => [
[
'name' => '<string>',
'description' => '<string>'
]
],
'effort' => 'low'
],
'async' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runpulse.com/split"
payload := strings.NewReader("{\n \"parse_id\": \"<string>\",\n \"config\": {\n \"topics\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"effort\": \"low\"\n },\n \"async\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.runpulse.com/split")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"parse_id\": \"<string>\",\n \"config\": {\n \"topics\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"effort\": \"low\"\n },\n \"async\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runpulse.com/split")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parse_id\": \"<string>\",\n \"config\": {\n \"topics\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"effort\": \"low\"\n },\n \"async\": false\n}"
response = http.request(request)
puts response.read_body{
"split_id": "<string>",
"created_at": "<string>",
"completed_at": "<string>",
"expires_at": "<string>"
}{
"split_id": "<string>",
"created_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}Split
Run Split
Find the pages of a completed parse that belong to each topic you name. A split reads the whole parse and costs 1 credit per page (6 with effort: high), however many topics you send. By default, the call waits for the job to end. With async: true, it returns 202 at once. Read the pages at GET /split/{split_id}/result.
POST
/
split
Run Split
curl --request POST \
--url https://api.runpulse.com/split \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"parse_id": "<string>",
"config": {
"topics": [
{
"name": "<string>",
"description": "<string>"
}
],
"effort": "low"
},
"async": false
}
'import requests
url = "https://api.runpulse.com/split"
payload = {
"parse_id": "<string>",
"config": {
"topics": [
{
"name": "<string>",
"description": "<string>"
}
],
"effort": "low"
},
"async": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parse_id: '<string>',
config: {topics: [{name: '<string>', description: '<string>'}], effort: 'low'},
async: false
})
};
fetch('https://api.runpulse.com/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runpulse.com/split",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parse_id' => '<string>',
'config' => [
'topics' => [
[
'name' => '<string>',
'description' => '<string>'
]
],
'effort' => 'low'
],
'async' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runpulse.com/split"
payload := strings.NewReader("{\n \"parse_id\": \"<string>\",\n \"config\": {\n \"topics\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"effort\": \"low\"\n },\n \"async\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.runpulse.com/split")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"parse_id\": \"<string>\",\n \"config\": {\n \"topics\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"effort\": \"low\"\n },\n \"async\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.runpulse.com/split")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parse_id\": \"<string>\",\n \"config\": {\n \"topics\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"effort\": \"low\"\n },\n \"async\": false\n}"
response = http.request(request)
puts response.read_body{
"split_id": "<string>",
"created_at": "<string>",
"completed_at": "<string>",
"expires_at": "<string>"
}{
"split_id": "<string>",
"created_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"retryable": true,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"retry_after": 123,
"errors": [
{
"field": "<string>",
"issue": "<string>",
"pointer": "<string>"
}
],
"resource": "<string>",
"reason": "<string>",
"parse_id": "<string>",
"extract_id": "<string>",
"split_id": "<string>",
"classify_id": "<string>",
"tables_id": "<string>",
"charts_id": "<string>",
"pipeline_id": "<string>",
"batch_id": "<string>",
"filename": "<string>",
"declared_type": "<string>",
"detected": "<string>",
"supported_types": [
"<string>"
],
"supported": [
"<string>"
],
"max_size_mb": 123,
"file_size_mb": 123,
"plan_name": "<string>",
"pages_used": 123,
"page_allowance": 123,
"upgrade_url": "<string>",
"action_required": "<string>",
"billing_info": {}
}Authorizations
Headers
Body
application/json
- Inline config
- Saved config
A request to find each topic's pages in a completed parse.
Response
The split completed. Read its pages at GET /split/{split_id}/result.
A completed split. Read its result at GET /split/{split_id}/result.